Multivariate Pattern Analysis in Python

# Man page for `ofmotionqc`

## NAME

pymvpa2-ofmotionqc - BOLD fMRI motion QC plot for an OpenFMRI dataset

## SYNOPSIS

pymvpa2 ,ofmotionqc /[,--version/] [,-h/] ,--path PATH /[,-t ID/] [,--estimate-fname NAME/] [,--relative REF REF/] [,--exclude-subjs ID /[,ID /...]] [,--estimate-order LABEL/] [,--rad2deg/] [,--outlier-minthresh OUTLIER_MINTHRESH/] [,--outlier-stdthresh OUTLIER_STDTHRESH/] [,--savefig SAVEFIG/]

## DESCRIPTION

Generate a QC plot for BOLD fMRI motion estimates from an OpenFMRI dataset.

The generated figure consists of two subplots: one for translation and one for rotation. The L2-norm for each motion type is plotted. Runs boundaries are indicated with dashed vertical lines. The following statistics are visualized

1. Range across subjects (min, max) with a light gray shaded area

2. 50% percentile around the mean with a medium gray shaded area

3. Standard error of the mean (SEM; +/-) with a dark gray shaded area

4. Median across subjects with a black line

5. Outlier subjects are represented as individual red lines

Outliers are defined as subjects that exceed the threshold anywhere within a given run. In that case the entire motion time series for that run is plotted as an outlier. IDs for detected outliers are printed to the console. Note that these IDs do not account for missing data or excluded subjects. However, in case of no missing data and no excluded subjects they do correspond to numerical subject IDs.

## OPTIONS

--version
  show program's version and license information and exit
-h, --help, --help-np
  show this help message and exit. --help-np forcefully disables the use of a pager for displaying the help.
--path PATH
  path to the root directory of the OpenFMRI dataset
-t ID, --task ID
  ID of the task with BOLD fMRI data for the QC plot. Default: 1
--estimate-fname NAME
  name of the files with the motion estimates in each BOLD task run folder. Default: bold_moest.txt
--relative REF REF
  recode all estimates as the difference to the estimate for volume X in run Y (--relative Y X). Zero-based indices!
--exclude-subjs ID [ID ...]
  list of space-separated suject IDs to exclude from the QC analysis
--estimate-order LABEL
  column order of estimates in the files. `transrot` indicates translation first, followed by rotation. `rottrans` refers to the oposite order. Default: 'transrot'
--rad2deg
  If specified, rotation estimates are assumed to be in radian and will be converted to degrees.
--outlier-minthresh OUTLIER_MINTHRESH
  absolute minimum threshold of outlier detection. Only value larger than this this threshold will ever be considered as an outlier. Default: None
--outlier-stdthresh OUTLIER_STDTHRESH
  minimum threshold in units of standard deviation for outlier detection. Default: None
--savefig SAVEFIG
  file name to store the QC figure under. Default: None

## AUTHOR

Written by Michael Hanke & Yaroslav Halchenko, and numerous other contributors.

## COPYRIGHT

Copyright © 2006-2015 PyMVPA developers

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.